<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>Version12Descriptor (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Version12Descriptor (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Statement.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html" target="_top">Frames</a></li>
<li><a href="Version12Descriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.version12</div>
<h2 title="Class Version12Descriptor" class="title">Class Version12Descriptor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">org.firebirdsql.gds.ng.wire.AbstractProtocolDescriptor</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.version12.Version12Descriptor</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></dd>
</dl>
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Version12Descriptor</span>
extends <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">AbstractProtocolDescriptor</a>
implements <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></pre>
<div class="block">The <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire"><code>ProtocolDescriptor</code></a> for the Firebird version 12 protocol. This version
 applies to Firebird 2.5, but also works with newer Firebird versions.</div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#Version12Descriptor--">Version12Descriptor</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createAsynchronousChannel</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Create a disconnected asynchronous channel.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields">BlrCalculator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createBlrCalculator</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields"><code>BlrCalculator</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabase</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)</code>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireDatabase</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createInputBlob</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
               <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
               <a href="../../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
               long&nbsp;blobId)</code>
<div class="block">Create an input <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createOutputBlob</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                <a href="../../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</code>
<div class="block">Create an output <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createService</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireService</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceParameterBuffer</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>
<div class="block">Creates a normal <a href="../../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createServiceRequestBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceRequestBuffer</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createStatement</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</code>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">createTransaction</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                 int&nbsp;transactionHandle,
                 <a href="../../../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;initialState)</code>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><code>FbTransaction</code></a> implementation for this protocol.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">createWireOperations</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;?,?&gt;&nbsp;connection,
                    <a href="../../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;defaultWarningMessageCallback,
                    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;syncObject)</code>
<div class="block">Create an <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireOperations</code></a> implementation for this protocol version.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html#getParameterConverter--">getParameterConverter</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.AbstractProtocolDescriptor">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">AbstractProtocolDescriptor</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createAttachServiceParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabaseParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#equals-java.lang.Object-">equals</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getArchitecture--">getArchitecture</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getMaximumType--">getMaximumType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getMinimumType--">getMinimumType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getVersion--">getVersion</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getWeight--">getWeight</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#hashCode--">hashCode</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.ProtocolDescriptor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.firebirdsql.gds.ng.wire.<a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAttachServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createAttachServiceParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabaseParameterBuffer-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabaseParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getArchitecture--">getArchitecture</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getMaximumType--">getMaximumType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getMinimumType--">getMinimumType</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getVersion--">getVersion</a>, <a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#getWeight--">getWeight</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Version12Descriptor--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Version12Descriptor</h4>
<pre>public&nbsp;Version12Descriptor()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDatabase</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;createDatabase(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireDatabase</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createDatabase-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-">createDatabase</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - WireDatabaseConnection to this database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireDatabase implementation</dd>
</dl>
</li>
</ul>
<a name="createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createService</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireService</a>&nbsp;createService(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireService.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireService</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createService-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createService</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - WireServiceConnection to this service</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireService implementation</dd>
</dl>
</li>
</ul>
<a name="createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceParameterBuffer</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds">ServiceParameterBuffer</a>&nbsp;createServiceParameterBuffer(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">ProtocolDescriptor</a></code></span></div>
<div class="block">Creates a normal <a href="../../../../../../org/firebirdsql/gds/ServiceParameterBuffer.html" title="interface in org.firebirdsql.gds"><code>ServiceParameterBuffer</code></a>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceParameterBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceParameterBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Connection</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ServiceParameterBuffer implementation</dd>
</dl>
</li>
</ul>
<a name="createServiceRequestBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createServiceRequestBuffer</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ServiceRequestBuffer.html" title="interface in org.firebirdsql.gds">ServiceRequestBuffer</a>&nbsp;createServiceRequestBuffer(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&nbsp;connection)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createServiceRequestBuffer-org.firebirdsql.gds.ng.wire.WireServiceConnection-">createServiceRequestBuffer</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>An empty service request buffer</dd>
</dl>
</li>
</ul>
<a name="createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransaction</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;createTransaction(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                                           int&nbsp;transactionHandle,
                                           <a href="../../../../../../org/firebirdsql/gds/ng/TransactionState.html" title="enum in org.firebirdsql.gds.ng">TransactionState</a>&nbsp;initialState)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/FbTransaction.html" title="interface in org.firebirdsql.gds.ng"><code>FbTransaction</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createTransaction-org.firebirdsql.gds.ng.wire.FbWireDatabase-int-org.firebirdsql.gds.ng.TransactionState-">createTransaction</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dd><code>transactionHandle</code> - Transaction handle</dd>
<dd><code>initialState</code> - Initial transaction state (either <a href="../../../../../../org/firebirdsql/gds/ng/TransactionState.html#ACTIVE"><code>TransactionState.ACTIVE</code></a>
         or <a href="../../../../../../org/firebirdsql/gds/ng/TransactionState.html#PREPARED"><code>TransactionState.PREPARED</code></a>).</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbTransaction implementation</dd>
</dl>
</li>
</ul>
<a name="createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStatement</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireStatement.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireStatement</a>&nbsp;createStatement(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/FbStatement.html" title="interface in org.firebirdsql.gds.ng"><code>FbStatement</code></a> implementation for this protocol.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createStatement-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createStatement</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbStatement implementation</dd>
</dl>
</li>
</ul>
<a name="createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createBlrCalculator</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields">BlrCalculator</a>&nbsp;createBlrCalculator(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create <a href="../../../../../../org/firebirdsql/gds/ng/fields/BlrCalculator.html" title="interface in org.firebirdsql.gds.ng.fields"><code>BlrCalculator</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createBlrCalculator-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createBlrCalculator</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>BlrCalculator implementation</dd>
</dl>
</li>
</ul>
<a name="createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createOutputBlob</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a>&nbsp;createOutputBlob(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                                   <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                                   <a href="../../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create an output <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createOutputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-">createOutputBlob</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dd><code>transaction</code> - FbWireTransaction to associate with the blob</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireBlob implementation</dd>
</dl>
</li>
</ul>
<a name="createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createInputBlob</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireBlob</a>&nbsp;createInputBlob(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database,
                                  <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireTransaction.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireTransaction</a>&nbsp;transaction,
                                  <a href="../../../../../../org/firebirdsql/gds/BlobParameterBuffer.html" title="interface in org.firebirdsql.gds">BlobParameterBuffer</a>&nbsp;blobParameterBuffer,
                                  long&nbsp;blobId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create an input <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireBlob.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireBlob</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createInputBlob-org.firebirdsql.gds.ng.wire.FbWireDatabase-org.firebirdsql.gds.ng.wire.FbWireTransaction-org.firebirdsql.gds.BlobParameterBuffer-long-">createInputBlob</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - FbWireDatabase of the current database</dd>
<dd><code>transaction</code> - FbWireTransaction to associate with the blob</dd>
<dd><code>blobParameterBuffer</code> - Blob Parameter Buffer</dd>
<dd><code>blobId</code> - Blob Id (must be non-zero for input blob)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>FbWireBlob implementation</dd>
</dl>
</li>
</ul>
<a name="createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAsynchronousChannel</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireAsynchronousChannel.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireAsynchronousChannel</a>&nbsp;createAsynchronousChannel(<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireDatabase.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireDatabase</a>&nbsp;database)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create a disconnected asynchronous channel.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createAsynchronousChannel-org.firebirdsql.gds.ng.wire.FbWireDatabase-">createAsynchronousChannel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>database</code> - The parent database handle.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Asynchronous channel implementation</dd>
</dl>
</li>
</ul>
<a name="getParameterConverter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParameterConverter</h4>
<pre>protected&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;&nbsp;getParameterConverter()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html#getParameterConverter--">getParameterConverter</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/AbstractProtocolDescriptor.html" title="class in org.firebirdsql.gds.ng.wire">AbstractProtocolDescriptor</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>ParameterConverter</code> for populating the database parameter buffer.</dd>
</dl>
</li>
</ul>
<a name="createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createWireOperations</h4>
<pre>public&nbsp;<a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire">FbWireOperations</a>&nbsp;createWireOperations(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireConnection</a>&lt;?,?&gt;&nbsp;connection,
                                             <a href="../../../../../../org/firebirdsql/gds/ng/WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng">WarningMessageCallback</a>&nbsp;defaultWarningMessageCallback,
                                             <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;syncObject)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">ProtocolDescriptor</a></code></span></div>
<div class="block">Create an <a href="../../../../../../org/firebirdsql/gds/ng/wire/FbWireOperations.html" title="interface in org.firebirdsql.gds.ng.wire"><code>FbWireOperations</code></a> implementation for this protocol version.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html#createWireOperations-org.firebirdsql.gds.ng.wire.WireConnection-org.firebirdsql.gds.ng.WarningMessageCallback-java.lang.Object-">createWireOperations</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/ProtocolDescriptor.html" title="interface in org.firebirdsql.gds.ng.wire">ProtocolDescriptor</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - WireConnection instance</dd>
<dd><code>defaultWarningMessageCallback</code> - Default warning message callback</dd>
<dd><code>syncObject</code> - Object to use for synchronization</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Wire operations implementation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12Statement.html" title="class in org.firebirdsql.gds.ng.wire.version12"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version12/Version12Descriptor.html" target="_top">Frames</a></li>
<li><a href="Version12Descriptor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
